package com.brilliance.swift.mx2mt.mt196296.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**

 */
public class Field76Generate extends AbstractMx2MtTagsGenerate {

    private static String name_76 = "76";

    private static String name_77A = "77A";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String uetr = getXmlNodeValue(bodyHdrParentElementName, document, "RsltnOfInvstgtn.CxlDtls.TxInfAndSts.OrgnlUETR");
        String sts = getXmlNodeValue(bodyHdrParentElementName, document, "RsltnOfInvstgtn.Sts.Conf");
        List<String> list = mXToMT76RCANC(sts,uetr, "RsltnOfInvstgtn.CxlDtls.TxInfAndSts.CxlStsRsnInf");
        if(list.size()>0&&StringUtil.isNotEmpty(list.get(0))){
            if(StringUtil.isNotEmpty(list.get(0))){
                tags.add(new Tag(name_76, list.get(0)));
            }
            if(StringUtil.isNotEmpty(list.get(1))){
                tags.add(new Tag(name_77A, list.get(1)));
            }
        }
    }
}
