package com.brilliance.swift.mx2mt.mt942.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**

 */
public class Field20Generate extends AbstractMx2MtTagsGenerate {

    private static String name = "20";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String messageId = getXmlNodeValue(bodyHdrParentElementName, document, "BkToCstmrAcctRpt.Rpt.Id");
        if (StringUtil.isNotEmpty(messageId)) {
            tags.add(new Tag(name, messageId));
        }
    }
}
