package com.brilliance.swift.vo.common;

public enum AcctTypeCode {

    CACC("Current"),
    CARD("CardAccount"),
    CASH("CashPayment"),
    CHAR("Charges"),
    CISH("CashIncome"),
    COMM("Commission"),
    CPAC("ClearingParticipantSettlementAccount"),
    LLSV("LimitedLiquiditySavingsAccount"),
    LOAN("Loan"),
    MGLD("MarginalLending"),
    MOMA("MoneyMarket"),
    NREX("NonResidentExternal"),
    ODFT("Overdraft"),
    ONDP("OverNightDeposit"),
    OTHR("OtherAccount"),
    SACC("Settlement"),
    SLRY("Salary"),
    SVGS("Savings"),
    TAXE("Tax"),
    TRAN("TransactingAccount"),
    TRAS("CashTrading"),
    VACC("VirtualAccount");

    AcctTypeCode(String s) {}

    public String value() {
        return name();
    }
}
