package com.brilliance.mt2mx.camt053001;

import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.field.Field61;
import com.prowidesoftware.swift.model.field.Field86;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.io.File;
import java.util.List;

public class Test940Camt053001 {

    public static void main(String[] args) throws Exception {
        //File file = new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftTxt\\MT940.txt");
        //String xmlStr = new Mt2MxCreateManager().mt2mx(file, "d:/test/pacs008.xml", null);
        //System.out.println(xmlStr);

        //SwiftDto swiftDto = new Mt2SwiftDtoCreateManager().mt2SwiftDto(file, "d:/test/940camt0530.txt", null);
        //System.out.println(swiftDto.toString());
        File file = new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftTxt\\MT940.txt");
        AbstractMT abstractMT = AbstractMT.parse(file);
        List<Tag> tagsList = abstractMT.getSwiftMessage().getBlock4().getTags();
        for (int i=0; i< tagsList.size(); i++) {
            Tag tag = tagsList.get(i);
            if ("61".equals(tag.getName())) {
                Field61 field61 = new Field61(tag.getValue());
                System.out.println(field61.getDCMark());
                System.out.println(field61.getFundsCode());
                System.out.println(field61.getReferenceForTheAccountOwner());
                System.out.println(field61.getReferenceOfTheAccountServicingInstitution());
                System.out.println(field61.getSupplementaryDetails());
                if ("86".equals(tagsList.get(i+1).getName())) {
                    Field86 field86 = new Field86(tagsList.get(i+1).getValue());
                    System.out.println(field86.getValue().replace("\r\n", ""));
                }
            }
        }
    }
}
