package com.brilliance.swift.vo.common;

/**
 *       'AT' EquivalentTo 'ATBLZ'
 *       'AU' EquivalentTo 'AUBSB'
 *       'CC' EquivalentTo 'CACPA'
 *       'BL' EquivalentTo 'DEBLZ'
 *       'GR' EquivalentTo 'GRBIC'
 *       'HK' EquivalentTo 'HKNCC'
 *       'IN' EquivalentTo 'INFSC'
 *       'IE' EquivalentTo 'IENCC'
 *       'IT' EquivalentTo 'ITNCC'
 *       'NZ' EquivalentTo 'NZNCC'
 *       'PL' EquivalentTo 'PLKNR'
 *       'PT' EquivalentTo 'PTNCC'
 *       'RU' EquivalentTo 'RUCBC'
 *       'ZA' EquivalentTo 'ZANCC'
 *       'ES' EquivalentTo 'ESNCC'
 *       'SC' EquivalentTo 'GBDSC'
 *       'CP' EquivalentTo 'USPID'
 *       'FW' EquivalentTo 'USABA'
 */
public enum ClearingSystemMemberCode {

    ATBLZ("AT"),

    AUBSB("AU"),

    CACPA("CC"),

    DEBLZ("BL"),

    GRBIC("GR"),

    HKNCC("HK"),

    INFSC("IN"),

    IENCC("IE"),

    ITNCC("IT"),

    NZNCC("NZ"),

    PLKNR("PL"),

    PTNCC("PT"),

    RUCBC("RU"),

    ZANCC("ZA"),

    ESNCC("ES"),

    GBDSC("SC"),

    USPID("CP"),

    USABA("FW");

    ClearingSystemMemberCode(String s) {this.desc = s;}

    public String value() {
        return name();
    }

    String desc;

    public String desc() {
        return desc;
    }


}
