package com.brilliance.swift.vo.common;

public enum OrganisationIdentificationCode {

    BANK("BankPartyIdentification"),
    CBID("CentralBankIdentificationNumber"),
    CHID("ClearingIdentificationNumber"),
    CINC("CertificateOfIncorporationNumber"),
    COID("CountryIdentificationCode"),
    CUST("CustomerNumber"),
    DUNS("DataUniversalNumberingSystem"),
    EMPL("EmployerIdentificationNumber"),
    GS1G("GS1GLNIdentifier"),
    SREN("SIREN"),
    SRET("SIRET"),
    TXID("TaxIdentificationNumber");

    OrganisationIdentificationCode(String s) {}

    public String value() {
        return name();
    }
}
