package com.brilliance.swift.vo.common;

public enum ServiceLevelCode {

    BKTR("BookTransaction"),

    G001("TrackedCustomerCreditTransfer"),

    G002("TrackedStopAndRecall"),

    G003("TrackedCorporateTransfer"),

    G004("TrackedFinancialInstitutionTransfer"),

    NPCA("NordicPaymentsCouncilAreaTransfer"),

    NUGP("NonurgentPriorityPayment"),

    NURG("NonurgentPayment"),

    PRPT("EBAPriorityService"),

    SDVA("SameDayValue"),

    SEPA("SingleEuroPaymentsArea"),

    SVDE("DomesticChequeClearingAndSettlement"),

    URGP("UrgentPayment"),

    URNS("UrgentPaymentNetSettlement"),

    INST("InstantCreditTransferOrInstantDirectDebit"),

    SRTP("ServiceRequestToPay"),

    SVAT("ScheckVerarbeitungAustria");

    ServiceLevelCode(String s) {}

    public String value() {
        return name();
    }
}
