package com.brilliance.mx2mt.mt900;

import com.brilliance.swift.constants.Mx2MtConstants;

import java.io.IOException;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;

/**
 * @author zh
 * @create 2022-04-20 15:13
 */
public class TestMT900obj {
    public static void main(String[] args) throws IOException {
        String key = "fitificstmrcdttrf.cdttrftxinf.rgltryrptg*.dtl*.inf*";
        key = key.replace("*", "(\\([0-9]{1}\\)){0,1}");
        System.out.println(key);

        Map<String, String> maps = new LinkedHashMap<>();
        maps.put("fitificstmrcdttrf.cdttrftxinf.rgltryrptg.dtl.inf", "第一条数据");
        maps.put("fitificstmrcdttrf.cdttrftxinf.rgltryrptg.dtl.inf(1)", "第二条数据");
        maps.put("fitificstmrcdttrf.cdttrftxinf.rgltryrptg(0).dtl(0).inf(2)", "第三条数据");
        maps.put("fitificstmrcdttrf.cdttrftxinf.rgltryrptg(0).dtl(1).inf(0)", "第四条数据");
        maps.put("fitificstmrcdttrf.cdttrftxinf.rgltryrptg(1).dtl(1).inf(0)", "第五条数据");
        maps.put("fitificstmrcdttrf.cdttrftxinf.datestr", "20220530");

        String str = "";
        Set<String> keys = maps.keySet();
        for (String tmpkey : keys) {
            if (tmpkey.matches(key)) {
                str += maps.get(tmpkey) + Mx2MtConstants.NEW_LINE;
            }
        }
        System.out.println(str);
    }
}
