package com.brilliance.mx2mtmap.mt202;

import com.brilliance.swift.SwiftTransfer;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

public class Test {

    private static void test202() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxPacs00900109.xml"));
        Map<String, Object> extraMap = new HashMap<>();
        extraMap.put("bnkBic", "BANKANC0XXX");//发报
        //extraMap.put("bnkBic", "FOOBARC0");//收报
        Map<String, String> maps = SwiftTransfer.mx2MtMap(xmlStr, extraMap);
        maps.forEach((k, v) -> System.out.println(k + "=" + v));
    }

    private static void test202Cov() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxPacs00900109_COV.xml"));
        Map<String, Object> extraMap = new HashMap<>();
        //extraMap.put("bnkBic", "DEUTDEFF");//发报
        extraMap.put("bnkBic", "DEUTNL2A");//收报
        Map<String, String> maps = SwiftTransfer.mx2MtMap(xmlStr, extraMap);
        maps.forEach((k, v) -> System.out.println(k + "=" + v));
    }

    public static void main(String[] args) throws IOException {
        test202();
        //test202Cov();
    }
}
