
package com.prowidesoftware.swift.model.mx.dic;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Specifies the type of update requested. That is addition, deletion or modification.
 * 
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UpdateType30Choice", propOrder = {
    "addtn",
    "deltn",
    "mod"
})
public class UpdateType30Choice {

    @XmlElement(name = "Addtn")
    protected SecuritiesSettlementTransactionDetails41 addtn;
    @XmlElement(name = "Deltn")
    protected SecuritiesSettlementTransactionDetails42 deltn;
    @XmlElement(name = "Mod")
    protected SecuritiesSettlementTransactionDetails43 mod;

    /**
     * Gets the value of the addtn property.
     * 
     * @return
     *     possible object is
     *     {@link SecuritiesSettlementTransactionDetails41 }
     *     
     */
    public SecuritiesSettlementTransactionDetails41 getAddtn() {
        return addtn;
    }

    /**
     * Sets the value of the addtn property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuritiesSettlementTransactionDetails41 }
     *     
     */
    public UpdateType30Choice setAddtn(SecuritiesSettlementTransactionDetails41 value) {
        this.addtn = value;
        return this;
    }

    /**
     * Gets the value of the deltn property.
     * 
     * @return
     *     possible object is
     *     {@link SecuritiesSettlementTransactionDetails42 }
     *     
     */
    public SecuritiesSettlementTransactionDetails42 getDeltn() {
        return deltn;
    }

    /**
     * Sets the value of the deltn property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuritiesSettlementTransactionDetails42 }
     *     
     */
    public UpdateType30Choice setDeltn(SecuritiesSettlementTransactionDetails42 value) {
        this.deltn = value;
        return this;
    }

    /**
     * Gets the value of the mod property.
     * 
     * @return
     *     possible object is
     *     {@link SecuritiesSettlementTransactionDetails43 }
     *     
     */
    public SecuritiesSettlementTransactionDetails43 getMod() {
        return mod;
    }

    /**
     * Sets the value of the mod property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuritiesSettlementTransactionDetails43 }
     *     
     */
    public UpdateType30Choice setMod(SecuritiesSettlementTransactionDetails43 value) {
        this.mod = value;
        return this;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }

    @Override
    public boolean equals(Object that) {
        return EqualsBuilder.reflectionEquals(this, that);
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }

}
